#!/usr/bin/env python

try:
    from setuptools import setup, Extension
except:
    from distutils.core import setup, Extension
import os

libreports = 'reports' if os.sys.platform != 'win32' else 'libreports'

reports_module = Extension (
    'field.reports', 
    include_dirs = [os.environ.get('REPORTS_INCLUDE', '.')],
    library_dirs = [os.environ.get('REPORTS_LIBRARY', '.')],
    libraries = [libreports] ,
    sources = ['src/py_reports.c'],
)

setup(name = 'field.reports', 
    version = '1.5.7',
    author = 'Field Works, LLC',
    author_email = 'support@field-works.co.jp',
    url = 'https://field-works.co.jp/',
    license = 'Commercial',
    description = 'Field Reports is PDF report genaration tool.',
    packages = ['field'],
    ext_modules = [reports_module],
)